std::geometric_distribution< _IntType >::param_type Struct Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions » Random Number Utilities

## Public Types

typedef geometric_distribution< _IntType > | distribution_type

## Public Member Functions

| param_type (double __p=0.5)
double | p () const

## Friends

class | geometric_distribution< _IntType >
bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

### template<typename _IntType = int>
struct std::geometric_distribution< _IntType >::param_type

Parameter type.

Definition at line 3908 of file random.h.

The documentation for this struct was generated from the following file:

- random.h